<?php
namespace Incoviba\Common\Define\Repository;

interface MapperParser
{
    public function register(string $column, ?Mapper $mapper = null): MapperParser;
    public function getColumns(): array;
    public function hasMapper(string $column): bool;
    public function getMapper(string $column): Mapper;
}
